# Uses of Enum Class
ij.process.AutoThresholder.Method

Packages that use AutoThresholder.Method
Package
Description
ij.process

## Uses of AutoThresholder.Method in ij.process

Methods in ij.process that return AutoThresholder.Method
Modifier and Type
Method
Description
`static AutoThresholder.Method`
AutoThresholder.Method.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AutoThresholder.Method[]`
AutoThresholder.Method.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in ij.process with parameters of type AutoThresholder.Method
Modifier and Type
Method
Description
`int`
AutoThresholder.`getThreshold(AutoThresholder.Method method, int[] histogram)`
Calculates and returns a threshold using the specified method and histogram.
`void`
ImageProcessor.`setAutoThreshold(AutoThresholder.Method method, boolean darkBackground)`
`void`
ImageProcessor.`setAutoThreshold(AutoThresholder.Method method, boolean darkBackground, int lutUpdate)`